|  | Home · All Classes · Modules

# QResizeEvent Class Reference
[QtGui module]

The QResizeEvent class contains event parameters for resize events. More...

Inherits QEvent.

### Methods

- __init__ (self, QSize size, QSize oldSize)
- __init__ (self, QResizeEvent other)
- QSize oldSize (self)
- QSize size (self)

## Detailed Description

The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget.resizeEvent() receives resize events.

See also QWidget.resize() and QWidget.setGeometry().

## Method Documentation

### QResizeEvent.__init__ (self, QSize size, QSize oldSize)

Constructs a resize event with the new and old widget sizes, size and oldSize respectively.

### QResizeEvent.__init__ (self, QResizeEvent other)

### QSize QResizeEvent.oldSize (self)

Returns the old size of the widget.

### QSize QResizeEvent.size (self)

Returns the new size of the widget. This is the same as QWidget.size().